Get Workflows
curl --request GET \
--url https://api.eesi.ai/v1/workflow/fetch \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/workflow/fetch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/workflow/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total_runs": 123,
"folder_id": 123,
"workflow_uuid": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
List Agents
Retrieve all agents in your organization
GET
/
v1
/
workflow
/
fetch
Get Workflows
Returns all agents (workflows) in your organization, including both active and archived. Each item includes summary fields โ use Get an agent to retrieve the full workflow definition.
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Query Parameters
Filter by status - can be single value (active/archived) or comma-separated (active,archived)
โI